Abonneer je gratis op Techzine!

In de veelgebruikte mediaspeler Winamp is een ernstig lek ondekt. De afhandeling van de playlists werkt niet helemaal goed, daardoor kunnen kwaadwillenden zonder veel hulp van de gebruiker nodig te hebben, code uitvoeren via dit lek.

Dit lek kan uitgebuit worden door een kwaadwillig playlistbestand voor Winamp te schrijven, dat eindigt op .pls. Dit kan uitgevoerd worden op een doelcomputer zonder dat de gebruiker er iets voor hoeft te doen, omdat het verstopt kan worden op een website in een zogenaamd IFrame. Door een bufferprobleem kunnen hackers zo heel de computer overnemen en ermee doen wat ze willen. Dit lek werd pas afgelopen zondag beschreven. Nullsoft had dus weinig tijd om een patch te maken voor deze zogenaamde zero-day exploit

Er is inmiddels al een upgrade en Nullsoft raad aan om zo snel mogelijk te upgraden. Mocht je deze mogelijkheid niet hebben, dan kun je ook het automatisch uitvoeren van .pls bestanden tijdelijk uitschakelen.

De nieuwe versie van Winamp kan hier gedownload worden.